Package opennlp.tools.tokenize

## Class TokSpanEventStream

- java.lang.Object
- - opennlp.tools.util.AbstractEventStream<TokenSample>
  - - opennlp.tools.tokenize.TokSpanEventStream

- All Implemented Interfaces:
    `AutoCloseable`, `ObjectStream<Event>`

      public class TokSpanEventStream
      extends AbstractEventStream<TokenSample>

  This class reads the `TokenSample`s from the given `Iterator` and converts the `TokenSample`s into `Event`s which can be used by the maxent library for training.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TokSpanEventStream​(ObjectStream<TokenSample> tokenSamples, boolean skipAlphaNumerics)` | Initializes the current instance.
    `TokSpanEventStream​(ObjectStream<TokenSample> tokenSamples, boolean skipAlphaNumerics, Pattern alphaNumeric, TokenContextGenerator cg)` | Initializes the current instance.
    `TokSpanEventStream​(ObjectStream<TokenSample> tokenSamples, boolean skipAlphaNumerics, TokenContextGenerator cg)` | Initializes the current instance.

  - ### Method Summary

    - ### Methods inherited from class opennlp.tools.util.AbstractEventStream

      `close, read, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokSpanEventStream

          public TokSpanEventStream​(ObjectStream<TokenSample> tokenSamples,
                                    boolean skipAlphaNumerics,
                                    Pattern alphaNumeric,
                                    TokenContextGenerator cg)

      Initializes the current instance.
      Parameters:
        `tokenSamples` -
        `skipAlphaNumerics` -
        `cg` -

    - #### TokSpanEventStream

          public TokSpanEventStream​(ObjectStream<TokenSample> tokenSamples,
                                    boolean skipAlphaNumerics,
                                    TokenContextGenerator cg)

      Initializes the current instance.
      Parameters:
        `tokenSamples` -
        `skipAlphaNumerics` -
        `cg` -

    - #### TokSpanEventStream

          public TokSpanEventStream​(ObjectStream<TokenSample> tokenSamples,
                                    boolean skipAlphaNumerics)

      Initializes the current instance.
      Parameters:
        `tokenSamples` -
        `skipAlphaNumerics` -